Subject: Re: [patch net-next v2 5/7] mlxfw: Introduce status_notify op and call it to notify about the status

From: Ido Schimmel <[email-masked]>
Date: Wed, 29 May 2019 09:10:20 +0300

On Tue, May 28, 2019 at 01:48:44PM +0200, Jiri Pirko wrote:
> From: Jiri Pirko <[email-masked]>
> 
> Add new op status_notify which is called to update the user about
> flashing status.
> 
> Signed-off-by: Jiri Pirko <[email-masked]>

As I wrote during internal review, I think it is weird to have drivers
implement this status_notify() operation given mlxfw has all the
required information. The only thing drivers are doing is resolving the
devlink instance and calling into devlink. Would have been cleaner to
pass the devlink instance to mlxfw and have it call into devlink for
status updates directly.

But I don't see anything incorrect, so:

Reviewed-by: Ido Schimmel <[email-masked]>